#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:
	for f in feed scan pass; do perl -c clive$$f || exit 1; done

build:
	dh $@
	for f in feed scan pass; do if [ -e clive$$f.1 ]; then mv -v clive$$f.1 clive$$f.1-ORIG; fi; done
	$(MAKE) man

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/clive-utils prefix=/usr

clean:
	dh $@
	for f in feed scan pass; do if [ -e clive$$f.1-ORIG ]; then mv -v clive$$f.1-ORIG clive$$f.1; fi; done
